libzypp: zyppng::TimerPrivate Class Reference

libzypp 17.38.14

zyppng::TimerPrivate Class Reference
Inheritance diagram for zyppng::TimerPrivate:

## Public Member Functions
| TimerPrivate (Timer &p)
| TimerPrivate (const TimerPrivate &)=delete
| TimerPrivate (TimerPrivate &&)=delete
TimerPrivate & | operator= (const TimerPrivate &)=delete
TimerPrivate & | operator= (TimerPrivate &&)=delete
| ~TimerPrivate () override

## Public Attributes
uint64_t | _beginMs = 0
uint64_t | _requestedTimeout = 0
std::weak_ptr< EventDispatcher > | _ev
bool | _isRunning = false
Signal< void(Timer &t)> | _expired
bool | _singleShot = false

## Additional Inherited Members
Private Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()
Private Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 15 of file timer.cc.

## Constructor & Destructor Documentation

## ◆ TimerPrivate() [1/3]

zyppng::TimerPrivate::TimerPrivate | ( | Timer & | p | ) |

Definition at line 41 of file timer.cc.

## ◆ TimerPrivate() [2/3]

zyppng::TimerPrivate::TimerPrivate | ( | const TimerPrivate & |  | ) |
| delete

## ◆ TimerPrivate() [3/3]

zyppng::TimerPrivate::TimerPrivate | ( | TimerPrivate && |  | ) |
| delete

## ◆ ~TimerPrivate()

zyppng::TimerPrivate::~TimerPrivate | ( |  | ) |
| override

Definition at line 49 of file timer.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

TimerPrivate & zyppng::TimerPrivate::operator= | ( | const TimerPrivate & |  | ) |
| delete

## ◆ operator=() [2/2]

TimerPrivate & zyppng::TimerPrivate::operator= | ( | TimerPrivate && |  | ) |
| delete

## Member Data Documentation

## ◆ _beginMs

uint64_t zyppng::TimerPrivate::_beginMs = 0

Definition at line 28 of file timer.cc.

## ◆ _requestedTimeout

uint64_t zyppng::TimerPrivate::_requestedTimeout = 0

Definition at line 29 of file timer.cc.

## ◆ _ev

std::weak_ptr<EventDispatcher> zyppng::TimerPrivate::_ev

Definition at line 30 of file timer.cc.

## ◆ _isRunning

bool zyppng::TimerPrivate::_isRunning = false

Definition at line 31 of file timer.cc.

## ◆ _expired

Signal< void (Timer &t)> zyppng::TimerPrivate::_expired

Definition at line 33 of file timer.cc.

## ◆ _singleShot

bool zyppng::TimerPrivate::_singleShot = false

Definition at line 35 of file timer.cc.

The documentation for this class was generated from the following file:

- zypp-core/ng/base/timer.cc